<%@ page info="Frameset" language="java" %> 
<%--
 ******************************************************************************* 
 * $RCSfile: Buttons.jsp,v $
 *
 * Description: 
 *
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * Use of this product is subject to license terms.
 *
 *******************************************************************************
--%> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/apoc.tld" prefix="apoc"%>

<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.apoc.manager.PolicySettingsButtonsViewBean">

<!-- Header -->
<cc:header name="Header"
  pageTitle="module3.title"
  copyrightYear="2004"
  baseName="com.sun.apoc.manager.resource.apoc_manager"
  bundleID="apocBundle"
  isPopup="true">
  
<script type="text/javascript" src="/apoc/js/ProfileWindow.js"></script>  
<script type="text/javascript">
<!-- 
var alert1= "<cc:text name="Alert1"/>";
var alert2= "<cc:text name="Alert2"/>";
var alert3= "<cc:text name="Alert3"/>";
var alert4= "<cc:text name="Alert4"/>";
var alert5= "<cc:text name="Alert5"/>";

function getAlert(alertId) {
    if (alertId == '1') {
        return alert1;
    } else if (alertId == '2') {
        return alert2;
    } else if (alertId == '3') {
        return alert3;
    } else if (alertId == '4') {
        return alert4;
    } else if (alertId == '5') {
        return alert5;
    }
}
        -->
</script> 
  
<cc:form name="ButtonsForm" method="post">    

<!-- Buttons area -->
<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tr>
    <td valign='bottom'>
    </td>
    <td align="right" nowrap="nowrap" valign="bottom">
        <div class="TtlBtnBtmDiv">
            <cc:button name="SaveButton" bundleID="apocBundle" 
                 defaultValue="APOC.profilewnd.buttons.save" title="APOC.profilewnd.buttons.save"
                 onClick="updateDisabledFields();saveChanges();return false;" 
                 dynamic="true"
                 disabled="true" />
            <cc:button name="CloseButton" bundleID="apocBundle" 
                 defaultValue="APOC.profilewnd.buttons.close" title="APOC.profilewnd.buttons.close" 
                 titleDisabled="APOC.profilewnd.buttons.close" 
                 type="secondary" onClick="triggerCloseButton(); return false;"/>    
        </div>
    </td>
</tr>     
</table>    
<script type="text/javascript">
<!--
    if ((getContentDocument().getElementById("isNewProfile") != null )
                && (getContentDocument().getElementById("isNewProfile").value == "true")) {
        enableSaveButtons();
    }
// -->
</script> 
</cc:form>
</cc:header>
</jato:useViewBean> 
